Erro ao instalar pacote `Takenet.MessagingHub.Client.Template`


#1

Estou tentando instalar o pacote Takenet.MessagingHub.Client.Template mas estou com o seguinte problema:

Install-Package : Could not install package 'Takenet.Iris.Messaging 1.8.506'. You are trying to install this package into a project that targets '.NETFramework,Version=v4.5.1', but the package does not contain 

any assembly references or content files that are compatible with that framework. For more information, contact the package author.

At line:1 char:1

+ Install-Package Takenet.MessagingHub.Client.Template

+ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    + CategoryInfo          : NotSpecified: (:) [Install-Package], Exception

    + FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PackageManagement.PowerShellCmdlets.InstallPackageCommand

Alguém sabe me dizer o que pode estar acontecendo ?


#2

Olá Christopher,

o SDK C# do BLiP requer que você utilize um projeto do tipo ClassLibrary, a partir da versão 4.6.1 do .NET Framework.
Por favor atualize a versão do framework da sua aplicação para a versão 4.6.1 (ou superior).

Para mais informações veja a documentação do BLiP na seção SDK C#